Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8350 - Protocol-Reject for unsupported protocol
Summary: Protocol-Reject for unsupported protocol
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On: 8254
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-10 21:30 UTC by rbiern01
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-06-05 15:51:59 UTC


Attachments (Terms of Use)

Description rbiern01 2000-01-10 21:30:11 UTC
I have set up my redhat 6.0 box for incoming PPP connections using mgetty
and pppd with Chap aithentication. When a win98 dialup client trys to
conect, they appear connected from thir end however they cannot ping
anything because of timeouts. The /var/log/messages goes crazy while the
win98 clients are connected and just keeps printing out the following
until they hang up

pppd[1080]: Protocol-Reject for unsupported protocol 0x7263
Jan  6 17:03:08 celcius pppd[1080]: Protocol-Reject for unsupported
protocol 0x5072
Jan  6 17:03:08 celcius pppd[1080]: Protocol-Reject for unsupported
protocol 0x7263
Jan  6 17:03:08 celcius pppd[1080]: Protocol-Reject for unsupported
protocol 0x73
Jan  6 17:03:08 celcius pppd[1080]: Protocol-Reject for unsupported
protocol 0x73
Jan  6 17:03:08 celcius pppd[1080]: Protocol-Reject for unsupported
protocol

I dont have any problems like this if someone using NT dials in and they
can use the internet fine.

Comment 1 Nalin Dahyabhai 2000-01-21 14:55:59 UTC
From my reading of the IANA PPP assigned numbers list
(http://www.isi.edu/in-notes/iana/assignments/ppp-numbers),
it appears that protocol 0x73 is MP+, a protocol related
to bandwidth management.  Protocols 0x5072 and 0x7263 is
an unregistered non-standard protocol.

Comment 2 Nalin Dahyabhai 2000-01-21 19:22:59 UTC
This is similar to bug 8254.  Do the clients have any additional client
software installed (VPN, PPTP, etc)?  Documentation on the peculiarities
of the Windows 98 TCP/IP stack is pretty scarce, unfortunately.

Comment 3 Brent Fox 2002-06-05 15:53:37 UTC
Closing due to old age.


Note You need to log in before you can comment on or make changes to this bug.